Bug 179622 - Warning: "div_ll_X_l_rem" [<module>.ko] undefined!
Warning: "div_ll_X_l_rem" [<module>.ko] undefined!
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-01 13:35 EST by Jason Baron
Modified: 2013-03-06 00:59 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:13:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch to fix this issue. (1.21 KB, patch)
2006-02-01 13:35 EST, Jason Baron
no flags Details | Diff

  None (edit)
Description Jason Baron 2006-02-01 13:35:20 EST
Created attachment 123983 [details]
upstream patch to fix this issue.
Comment 1 Jason Baron 2006-02-01 13:35:20 EST
Description of problem:

some kernel header files have 'extern inline', which is incorrect. This has been
pointed out as an issue by Oracle when building external modules. 

Version-Release number of selected component (if applicable):


How reproducible:

build a module that needs:

div_ll_X_l_rem
prefetch
prefetchw

Steps to Reproduce:
1.
2.
3.
  
Actual results:

MODPOST
*** Warning: "div_ll_X_l_rem" [<module>.ko] undefined!

Expected results:

should compile correctly

Additional info:
Comment 5 RHEL Product and Program Management 2007-04-18 19:03:33 EDT
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.
Comment 6 Jason Baron 2007-06-19 10:03:40 EDT
committed in stream U6 build 55.9. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 9 errata-xmlrpc 2007-11-15 11:13:32 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html

Note You need to log in before you can comment on or make changes to this bug.